ApiConfig (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiConfig

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiConfig

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiConfig
      extends Object

  Model for a configuration parameter. When an entry's <i>value</i> property is not available, it means the entry is not configured. This means that the default value for the entry, if any, will be used. Setting a value to <i>null</i> also can be used to unset any previously set value for the parameter, reverting to the default value (if any).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiConfig` | `_default(String _default)`
    `ApiConfig` | `description(String description)`
    `ApiConfig` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDefault()` Readonly.
    `String` | `getDescription()` Readonly.
    `String` | `getDisplayName()` Readonly.
    `String` | `getName()` Readonly.
    `String` | `getRelatedName()` Readonly.
    `Boolean` | `getRequired()` Readonly.
    `Boolean` | `getSensitive()` Readonly.
    `String` | `getValidationMessage()` Readonly.
    `ValidationState` | `getValidationState()` Readonly.
    `Boolean` | `getValidationWarningsSuppressed()` Readonly.
    `String` | `getValue()` The user-defined value.
    `int` | `hashCode()`
    `ApiConfig` | `name(String name)`
    `ApiConfig` | `relatedName(String relatedName)`
    `ApiConfig` | `required(Boolean required)`
    `ApiConfig` | `sensitive(Boolean sensitive)`
    `void` | `setDefault(String _default)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setRelatedName(String relatedName)`
    `void` | `setRequired(Boolean required)`
    `void` | `setSensitive(Boolean sensitive)`
    `void` | `setValidationMessage(String validationMessage)`
    `void` | `setValidationState(ValidationState validationState)`
    `void` | `setValidationWarningsSuppressed(Boolean validationWarningsSuppressed)`
    `void` | `setValue(String value)`
    `String` | `toString()`
    `ApiConfig` | `validationMessage(String validationMessage)`
    `ApiConfig` | `validationState(ValidationState validationState)`
    `ApiConfig` | `validationWarningsSuppressed(Boolean validationWarningsSuppressed)`
    `ApiConfig` | `value(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiConfig

          public ApiConfig()

  - ### Method Detail

    - #### name

          public ApiConfig name(String name)

    - #### getName

          public String getName()

      Readonly. The canonical name that identifies this configuration parameter.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public ApiConfig value(String value)

    - #### getValue

          public String getValue()

      The user-defined value. When absent, the default value (if any) will be used. Can also be absent, when enumerating allowed configs.
      Returns:
        value

    - #### setValue

          public void setValue(String value)

    - #### required

          public ApiConfig required(Boolean required)

    - #### getRequired

          public Boolean getRequired()

      Readonly. Requires \"full\" view. Whether this configuration is required for the object. If any required configuration is not set, operations on the object may not work.
      Returns:
        required

    - #### setRequired

          public void setRequired(Boolean required)

    - #### _default

          public ApiConfig _default(String _default)

    - #### getDefault

          public String getDefault()

      Readonly. Requires \"full\" view. The default value.
      Returns:
        _default

    - #### setDefault

          public void setDefault(String _default)

    - #### displayName

          public ApiConfig displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Readonly. Requires \"full\" view. A user-friendly name of the parameters, as would have been shown in the web UI.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiConfig description(String description)

    - #### getDescription

          public String getDescription()

      Readonly. Requires \"full\" view. A textual description of the parameter.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### relatedName

          public ApiConfig relatedName(String relatedName)

    - #### getRelatedName

          public String getRelatedName()

      Readonly. Requires \"full\" view. If applicable, contains the related configuration variable used by the source project.
      Returns:
        relatedName

    - #### setRelatedName

          public void setRelatedName(String relatedName)

    - #### sensitive

          public ApiConfig sensitive(Boolean sensitive)

    - #### getSensitive

          public Boolean getSensitive()

      Readonly. Whether this configuration is sensitive, i.e. contains information such as passwords, which might affect how the value of this configuration might be shared by the caller. Available since v14.
      Returns:
        sensitive

    - #### setSensitive

          public void setSensitive(Boolean sensitive)

    - #### validationState

          public ApiConfig validationState(ValidationState validationState)

    - #### getValidationState

          public ValidationState getValidationState()

      Readonly. Requires \"full\" view. State of the configuration parameter after validation.
      Returns:
        validationState

    - #### setValidationState

          public void setValidationState(ValidationState validationState)

    - #### validationMessage

          public ApiConfig validationMessage(String validationMessage)

    - #### getValidationMessage

          public String getValidationMessage()

      Readonly. Requires \"full\" view. A message explaining the parameter's validation state.
      Returns:
        validationMessage

    - #### setValidationMessage

          public void setValidationMessage(String validationMessage)

    - #### validationWarningsSuppressed

          public ApiConfig validationWarningsSuppressed(Boolean validationWarningsSuppressed)

    - #### getValidationWarningsSuppressed

          public Boolean getValidationWarningsSuppressed()

      Readonly. Requires \"full\" view. Whether validation warnings associated with this parameter are suppressed. In general, suppressed validation warnings are hidden in the Cloudera Manager UI. Configurations that do not produce warnings will not contain this field.
      Returns:
        validationWarningsSuppressed

    - #### setValidationWarningsSuppressed

          public void setValidationWarningsSuppressed(Boolean validationWarningsSuppressed)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.